<%= form_with(model: lottery_topic, local: true) do |form| %>
  <% if lottery_topic.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(lottery_topic.errors.count, "error") %> prohibited this lottery_topic from being saved:</h2>

      <ul>
      <% lottery_topic.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :name %>
    <%= form.text_field :name %>
  </div>

  <div class="field">
    <%= form.label :title %>
    <%= form.text_field :title %>
  </div>

  <div class="field">
    <%= form.label :description %>
    <%= form.text_area :description %>
  </div>

  <div id='lottery_dates'>
    <%= form.fields_for :lottery_dates do |lottery_date| %>
      <%= render 'lottery_date_fields', :f => lottery_date %>
    <% end %>
    <div class='links'>
      <%= link_to_add_association 'add lottery_date', form, :lottery_dates %>
    </div>
  </div>

  <div id='lottery_times'>
    <%= form.fields_for :lottery_times do |lottery_time| %>
      <%= render 'lottery_time_fields', :f => lottery_time %>
    <% end %>
    <div class='links'>
      <%= link_to_add_association 'add lottery_time', form, :lottery_times %>
    </div>
  </div>

  <%= form.file_field :avatar %>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>
